Loading...
Searching...
No Matches
PgsqlSqlUtilBase::PgsqlForeignConstraint Class Reference

represents a PostgreSQL-specific foreign constraint More...

Inheritance diagram for PgsqlSqlUtilBase::PgsqlForeignConstraint:
[legend]

## Public Member Functions

| constructor (string n, Columns c, ForeignConstraintTarget t)
| creates the constraint from the supplied arguments
string | getCreateSql (string name, string table_name, *hash< auto > opt)
| returns a string that can be used to create the constraint in the database
string | getCreateSql (string table_name, *hash opt)
| returns a string that can be used to create the constraint in the database
string | getDropSql (string table_name)
| returns a string that can be used to drop the constraint from the database

## Detailed Description

represents a PostgreSQL-specific foreign constraint